COL(1)

BEZEICHNUNG
col - umgekehrte Zeilenvorschübe aus der Eingabe filtern

ÜBERSICHT
col [-bfhpx] [-l Anzahl]

BESCHREIBUNG
Das Dienstprogramm col filtert umgekehrte (und halbe umgekehrte) Zeilenvorschübe, so dass die Ausgabe in der korrekten Reihenfolge ist und nur Vorwärts- und Halb-Vorwärts-Zeilenvorschübe enthält Es ersetzt außerdem Leerräume durch Tabulatoren, wo es möglich ist. Dies kann nützlich sein, wenn die Ausgaben von nroff(1) und tbl(1) verarbeitet werden.

Das Dienstprogramm col liest aus der Standardeingabe und schreibt in die Standardausgabe.

Folgende Optionen stehen zur Verfügung:

-b  gibt keine Rückschritte aus, sondern nur das in jeder Spaltenposition zuletzt geschriebene Zeichen.

-f  Vorwärts-Halbzeilenvorschübe sind erlaubt (»feiner« Modus). Normalerweise werden Zeichen, die auf einer Halbzeilengrenze ausgegeben werden, auf der folgenden Zeile ausgegeben.

-h  gibt nicht mehrere Leerzeichen anstatt Tabulatoren aus (Voreinstellung).

-l Zahl
    puffert mindestens die angegebene Anzahl Zeilen im Speicher. Standardmäßig werden 128 Zeilen gepuffert.

-p  erzwingt, dass unbekannte Steuersequenzen unverändert durchgereicht werden. Normalerweise filtert col alle Steuersequenzen heraus, die es nicht selbst erkennt und interpretiert (diese sind nachfolgend aufgelistet).

-x  gibt mehrere Leerzeichen anstatt Tabulatoren aus.

Im Eingabedatenstrom versteht col sowohl die Escape-Sequenzen der Form Escape-Ziffer (wie von susv2 verlangt) als auch die traditionellen Escape-Steuerzeichen im Format BSD. Die Steuersequenzen für Wagenbewegungen und deren ASCII-Werte sind wie folgt:

ESC-BELL
    Rückwärts-Zeilenvorschub (Esc, dann Systemglocke).
ESC-7
    Rückwärts-Zeilenvorschub (Esc, dann 7).
ESC-BACKSPACE
    halber Rückwärts-Zeilenvorschub (Esc, dann Rückschritt).
ESC-8
    halber Rückwärts-Zeilenvorschub (Esc, dann 8).
ESC-TAB
    halber Vorwärts-Zeilenvorschub (Esc, dann Tabulator).
ESC-9
    halber Vorwärts-Zeilenvorschub (Esc, dann 9). Im Modus -f kann diese Sequenz auch im Ausgabedatenstrom erscheinen.
Rückschritt (»backspace«)
    bewegt eine Spalte zurück (8); wird in der ersten Spalte ignoriert.
Wagenrücklauf
    (13)
Zeilenumbruch
    bewegt eine Zeile vorwärts (10); führt auch einen Wagenrücklauf aus.
Umschalttaste ein
    wechselt in den normalen Zeichensatz (15).
Umschalttaste aus
    wechselt zu dem alternativen Zeichensatz (14).
Leertaste
    bewegt eine Spalte vorwärts (32).
Tabulator
    Vorwärts zum nächsten Tabulator (9)
Vertikaler Tabulator
    umgekehrter Zeilenvorschub (11)

Alle nicht erkannten Steuerzeichen und Escape-Sequenzen werden verworfen.

Das Dienstprogramm col verfolgt den Zeichensatz, während Zeichen gelesen werden, und stellt sicher, dass bei der Ausgabe der Zeichen der Zeichensatz korrekt ist.

Falls die Eingabe versucht, zu der letzten ausgegebenen Zeichenkette zurückzuspringen, gibt col eine Warnmeldung aus.

UMGEBUNGSVARIABLEN
Die Umgebungsvariablen LANG, LC_ALL und LC_CTYPE beeinflussen die Ausführung von col, wie in environ(7) beschrieben.

EXIT-STATUS

SIEHE AUCH
colcrt(1), expand(1), nroff(1), tbl(1)

STANDARDS
Das Dienstprogramm col ist konform zu susv2.

GESCHICHTE
Ein col -Befehl erschien in AT&T UNIX.

Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.